- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKMetadata Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKMetadata ()

## Public Attributes
std::string | m_title
std::string | m_author
std::string | m_keywords
std::string | m_comment

## Constructor & Destructor Documentation

libetonyek::IWORKMetadata::IWORKMetadata | ( |  | ) |

## Member Data Documentation

std::string libetonyek::IWORKMetadata::m_author

Referenced by libetonyek::IWORKMetadataElement::endOfElement(), and libetonyek::IWORKCollector::fillMetadata().

std::string libetonyek::IWORKMetadata::m_comment

Referenced by libetonyek::IWORKMetadataElement::endOfElement(), and libetonyek::IWORKCollector::fillMetadata().

std::string libetonyek::IWORKMetadata::m_keywords

Referenced by libetonyek::IWORKMetadataElement::endOfElement(), and libetonyek::IWORKCollector::fillMetadata().

std::string libetonyek::IWORKMetadata::m_title

Referenced by libetonyek::IWORKMetadataElement::endOfElement(), and libetonyek::IWORKCollector::fillMetadata().

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp